void demoer2() {
   //load shared lib with the Event class
   gSystem->Load("$ROOTSYS/test/libEvent");
   
   //connect ROOT file
   TFile *f = new TFile("demoe.root");
   
   //Read Tree header and Set top branch address
   Event *event = 0;
   TTree *T = (TTree*)f->Get("T");
   T->SetBranchAddress("event",&event);
   TBranch *bntrack = T->GetBranch("fNtrack");
   int nevents = (int)T->GetEntries();
   
   //Loop on events and fill an histogram
   TH1F *hntrack = new TH1F("hntrack","Number of tracks",100,580,620);
   for (int i=0;i<nevents;i++) {      
      bntrack->GetEntry(i);  //read only branch "fNtrack"
      hntrack->Fill(event->GetNtrack());
   }
   
   hntrack->Draw();
}   
